/**
 * @description 地图服务
 *
 */
export default class BMapService {
  /** @description 构建地图点 */
  static buildPoints(points: number[][]) {
    return points?.map((item) => {
      return new BMapGL.Point(item[0], item[1]);
    });
  }

  static buildPoint(lng: number, lat: number) {
    return new BMapGL.Point(lng, lat);
  }
  /** @description 获取图标样式 */
  static getMakerCSS(index: number) {
    if (index > 95) {
      return {
        '--color': 'rgb(61, 191, 62)',
        '--bg-color':
          'linear-gradient(180.00deg, rgb(255, 255, 255),rgb(197, 255, 197) 100%)',
      };
    }
    if (index < 95 && index > 85) {
      return {
        '--color': 'rgb(68, 127, 240)',
        '--bg-color':
          'linear-gradient(180.00deg, rgb(255, 255, 255),rgb(172, 200, 255) 100%)',
      };
    }

    return {
      '--color': 'rgb(255, 162, 80)',
      '--bg-color':
        'linear-gradient(180.00deg, rgb(255, 255, 255),rgb(255, 229, 206) 100%);',
    };
  }
}
